List files for a record | Parallel Developer Documentation

Parallel Developer Documentation Legacy – v1.x

This is documentation for Parallel Developer Documentation Legacy – v1.x, which is no longer actively maintained.

For up-to-date documentation, see the latest version (Current – v2.x).

Overview

This endpoint can be used to obtain a list of all files uploaded by an individual or business.

HTTP Request

GET https://api.parallelmarkets.com/v1/partner-records/{id}/files

Query Parameters

Pagination request parameters (optional).

Response Parameters

Parameter Description
data An array of Record File objects associated with the individual or business.
pagination A Pagination object containing a next_cursor value that can be used in a subsequent API call to obtain the next page of records.

Example Response

{
  "data": [
    {
      "category": "identity-document",
      "change_id": "UG9kVXNlckRhdGFFbnRyeTo5NDY=",
      "download_url": "https://secure-files.parallelmarkets.com/file/TWl...",
      "download_url_expires": 30,
      "type": "drivers-license"
    },
    {
      "category": "accreditation-document",
      "change_id": "UG9kVXNlckRhdGFFbnRyeTo5MzQ=",
      "download_url": "https://secure-files.parallelmarkets.com/file/6yL...",
      "download_url_expires": 30,
      "type": "certification-letter"
    }
  ],
  "pagination": {
    "next_cursor": "MTIzNDU="
  }
}